[problema configurazione apache e php] Apache is running a threaded MPM....

Ciao, sono un niubbo. Sto seguendo la vostra guida per installare apache, php e mysql in locale. (con windows xp).

Fino ad adesso avevo usato xampp, ma ora ho bisogno di un'installazione in locale  con un php precompilato come "non thread safe" .

Installo apache e tutto bene, ma una volta che vado a configurare il file httpd in apache per farlo lavorare con php, quando faccio il restart di apache questo non mi si avvia. Vado a vedere il log nella cartella di apache e c'è questo errore: "Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe.  You need to recompile PHP.Pre-configuration failed"

Naturalmente non voglio ricompliare il php perchè mi serve proprio così; piuttosto vorrei configurare apache in modo che funzioni con il php non thread safe, che è quello di cui ho bisogno.

grazie

inviato 8 anni fa
rosponius
X 0 X
risposto 8 anni fa
Gianni Tomasicchio
X 0 X

sì proprio quella guida; solo che io ho utilizzato il php compilato non thread safe. In ogni caso il problema sembra risolto così:

Ho sposato le seguenti righe sopra a <IfModule !mpm_winnt_module> anzichè sopra e adesso è partito,

"LoadModule php5_module "c:/php/php5apache2_2.dll" 

AddType application/x-httpd-php .php 

PHPIniDir "C:/php" 

 :)

risposto 8 anni fa
rosponius
X 0 X

 :( ecco sembrava troppo facile il php non funziona!

Ho provato ad aprire un piccolo script e niente mi legge il testo anzichè interpretarlo in php.

risposto 8 anni fa
rosponius
X 0 X

 Qualcuno sa come funzionano i moduli aggiuntivi di Apache se installo mpm_winnt_module, potrei risolvere qualcosa o non c'entra nulla?

In ogni caso io questi misteriosi moduli non riesco a trovare: sul sito di apache ci sono un sacco di info sui moduli ma non si possono scaricare, come si installano?

risposto 8 anni fa
rosponius
X 0 X

Ma hai scaricato l'archivio Zip di PHP che si trova qui:

http://www.php.net/downloads.php

 :bye:

risposto 8 anni fa
Gianni Tomasicchio
X 0 X

Sì, sì!

Ho scaricato il PHP 5.2.6 Non-thread-safe zip package

Poi per verifica ho provato anche il php thread safe, e ovviamente funziona, ma a me serve il non-thread-safe.

qualcuno mi ha suggerito di installare dei moduli in apache tipo l' fcgid ci ho provato ma non va uguale; qualcuno sa che cos'è il modulo mpm_winnt_module e cosa dovrebbe fare?

risposto 8 anni fa
rosponius
modificato 8 anni fa
X 0 X

ma perché ti serve PHP non thread safe?

risposto 8 anni fa
Gianni Tomasicchio
X 0 X

Mi serve thread safety disabled e l'unico modo per quel che so è installare un php precompilato nts.

risposto 8 anni fa
rosponius
X 0 X
Mi serve thread safety disabled e l'unico modo per quel che so è installare un php precompilato nts.

Si ma perché ti serve "thread safety disabled"?

risposto 8 anni fa
Gianni Tomasicchio
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda